Bug 1378906 - nova-scheduler fails to start because of the too big nova database
Summary: nova-scheduler fails to start because of the too big nova database
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: async
: 7.0 (Kilo)
Assignee: Dan Smith
QA Contact: Gabriel Szasz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-23 13:31 UTC by Robin Cernin
Modified: 2022-07-09 08:37 UTC (History)
14 users (show)

Fixed In Version: openstack-nova-2015.1.4-16.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 22:56:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker OSP-16799 0 None None None 2022-07-09 08:37:43 UTC
Red Hat Product Errata RHSA-2017:0282 0 normal SHIPPED_LIVE Moderate: openstack-cinder, openstack-glance, and openstack-nova security update 2017-02-16 03:52:44 UTC

Description Robin Cernin 2016-09-23 13:31:15 UTC
Description of problem:

We have problem that nova-scheduler fails to connect to RabbitMQ after environment restart, because it needs to process some significant amount of data from "nova" MySQL database.

With 1 million records in the "nova.instances", it takes ~40 minutes for nova-scheduler to finish the startup.

Version-Release number of selected component (if applicable):

openstack-nova-api-2015.1.4-12.el7ost.noarch
openstack-nova-cert-2015.1.4-12.el7ost.noarch
openstack-nova-common-2015.1.4-12.el7ost.noarch
openstack-nova-compute-2015.1.4-12.el7ost.noarch
openstack-nova-conductor-2015.1.4-12.el7ost.noarch
openstack-nova-console-2015.1.4-12.el7ost.noarch
openstack-nova-novncproxy-2015.1.4-12.el7ost.noarch
openstack-nova-scheduler-2015.1.4-12.el7ost.noarch

How reproducible:

There are already some Bugzilla Bugs created regarding this issue:

Add DB cleanup functionality to nova-manage. - https://bugzilla.redhat.com/show_bug.cgi?id=1154875
nova-manage db archive_deleted_rows doesn't work - https://bugzilla.redhat.com/show_bug.cgi?id=1285359

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Dave Maley 2016-10-20 20:53:25 UTC
customer has confirmed the fix provided here has resolved the issue in their environment

Comment 8 errata-xmlrpc 2017-02-15 22:56:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0282.html


Note You need to log in before you can comment on or make changes to this bug.